org.apache.ignite.internal.portable

## Class PortablePrimitives

- java.lang.Object
- - org.apache.ignite.internal.portable.PortablePrimitives

    public abstract class PortablePrimitives
    extends Object

Primitives writer.

### Constructor Summary

Constructors
Constructor and Description
`PortablePrimitives()`

### Method Summary

Methods
`static boolean` `readBoolean(byte[] arr, int off)`
`static boolean` `readBoolean(long ptr, int off)`
`static byte` `readByte(byte[] arr, int off)`
`static byte` `readByte(long ptr, int off)`
`static byte[]` `readByteArray(byte[] arr, int off, int len)`
`static byte[]` `readByteArray(long ptr, int off, int len)`
`static char` `readChar(byte[] arr, int off)`
`static char` `readChar(long ptr, int off)`
`static char[]` `readCharArray(byte[] arr, int off, int len)`
`static char[]` `readCharArray(long ptr, int off, int len)`
`static double` `readDouble(byte[] arr, int off)`
`static double` `readDouble(long ptr, int off)`
`static float` `readFloat(byte[] arr, int off)`
`static float` `readFloat(long ptr, int off)`
`static int` `readInt(byte[] arr, int off)`
`static int` `readInt(long ptr, int off)`
`static long` `readLong(byte[] arr, int off)`
`static long` `readLong(long ptr, int off)`
`static short` `readShort(byte[] arr, int off)`
`static short` `readShort(long ptr, int off)`
`static void` `writeBoolean(byte[] arr, int off, boolean val)`
`static void` `writeByte(byte[] arr, int off, byte val)`
`static void` `writeChar(byte[] arr, int off, char val)`
`static void` `writeDouble(byte[] arr, int off, double val)`
`static void` `writeFloat(byte[] arr, int off, float val)`
`static void` `writeInt(byte[] arr, int off, int val)`
`static void` `writeLong(byte[] arr, int off, long val)`
`static void` `writeShort(byte[] arr, int off, short val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PortablePrimitives

    public PortablePrimitives()

### Method Detail

#### writeByte

    public static void writeByte(byte[] arr,
                 int off,
                 byte val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readByte

    public static byte readByte(byte[] arr,
                int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readByte

    public static byte readByte(long ptr,
                int off)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### readByteArray

    public static byte[] readByteArray(byte[] arr,
                       int off,
                       int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readByteArray

    public static byte[] readByteArray(long ptr,
                       int off,
                       int len)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### writeBoolean

    public static void writeBoolean(byte[] arr,
                    int off,
                    boolean val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readBoolean

    public static boolean readBoolean(byte[] arr,
                      int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readBoolean

    public static boolean readBoolean(long ptr,
                      int off)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### writeShort

    public static void writeShort(byte[] arr,
                  int off,
                  short val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readShort

    public static short readShort(byte[] arr,
                  int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readShort

    public static short readShort(long ptr,
                  int off)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### writeChar

    public static void writeChar(byte[] arr,
                 int off,
                 char val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readChar

    public static char readChar(byte[] arr,
                int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readChar

    public static char readChar(long ptr,
                int off)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### readCharArray

    public static char[] readCharArray(byte[] arr,
                       int off,
                       int len)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readCharArray

    public static char[] readCharArray(long ptr,
                       int off,
                       int len)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### writeInt

    public static void writeInt(byte[] arr,
                int off,
                int val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readInt

    public static int readInt(byte[] arr,
              int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readInt

    public static int readInt(long ptr,
              int off)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### writeLong

    public static void writeLong(byte[] arr,
                 int off,
                 long val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readLong

    public static long readLong(byte[] arr,
                int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readLong

    public static long readLong(long ptr,
                int off)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### writeFloat

    public static void writeFloat(byte[] arr,
                  int off,
                  float val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readFloat

    public static float readFloat(byte[] arr,
                  int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readFloat

    public static float readFloat(long ptr,
                  int off)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

#### writeDouble

    public static void writeDouble(byte[] arr,
                   int off,
                   double val)

Parameters:
  `arr` - Array.
  `off` - Offset.
  `val` - Value.

#### readDouble

    public static double readDouble(byte[] arr,
                    int off)

Parameters:
  `arr` - Array.
  `off` - Offset.
Returns:
  Value.

#### readDouble

    public static double readDouble(long ptr,
                    int off)

Parameters:
  `ptr` - Pointer.
  `off` - Offset.
Returns:
  Value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015